List runs
curl --request GET \
--url https://api.infragrid.ai/v1/runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.infragrid.ai/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.infragrid.ai/v1/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "5d7b1f8a-...",
"runtime": "modal",
"status": "completed",
"task": "Summarize example.com",
"workflow": null,
"result": {
"status": "completed",
"summary": "Example Domain is a placeholder website.",
"steps": 3,
"final_url": "https://example.com/",
"events": []
},
"error_code": null,
"error_message": null,
"metadata": {},
"step_count": 3,
"created_at": "2026-08-15T20:00:00Z",
"started_at": "2026-08-15T20:00:01Z",
"completed_at": "2026-08-15T20:00:08Z",
"updated_at": "2026-08-15T20:00:08Z"
}
]
}
Browser runs
List runs
List browser task and ordered workflow runs in the API key’s workspace.
GET
/
v1
/
runs
List runs
curl --request GET \
--url https://api.infragrid.ai/v1/runs \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.infragrid.ai/v1/runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.infragrid.ai/v1/runs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"id": "5d7b1f8a-...",
"runtime": "modal",
"status": "completed",
"task": "Summarize example.com",
"workflow": null,
"result": {
"status": "completed",
"summary": "Example Domain is a placeholder website.",
"steps": 3,
"final_url": "https://example.com/",
"events": []
},
"error_code": null,
"error_message": null,
"metadata": {},
"step_count": 3,
"created_at": "2026-08-15T20:00:00Z",
"started_at": "2026-08-15T20:00:01Z",
"completed_at": "2026-08-15T20:00:08Z",
"updated_at": "2026-08-15T20:00:08Z"
}
]
}
Requires
runs:read.
integer
default:"25"
Number of runs to return. Minimum 1; maximum 100.
integer
default:"0"
Zero-based offset. Maximum 1,000,000.
Response
CloudRun[]
required
Bounded array of browser task and workflow runs.
{
"data": [
{
"id": "5d7b1f8a-...",
"runtime": "modal",
"status": "completed",
"task": "Summarize example.com",
"workflow": null,
"result": {
"status": "completed",
"summary": "Example Domain is a placeholder website.",
"steps": 3,
"final_url": "https://example.com/",
"events": []
},
"error_code": null,
"error_message": null,
"metadata": {},
"step_count": 3,
"created_at": "2026-08-15T20:00:00Z",
"started_at": "2026-08-15T20:00:01Z",
"completed_at": "2026-08-15T20:00:08Z",
"updated_at": "2026-08-15T20:00:08Z"
}
]
}
Last modified on August 16, 2026
⌘I